summaryrefslogtreecommitdiff
path: root/qa/391
diff options
context:
space:
mode:
Diffstat (limited to 'qa/391')
-rwxr-xr-xqa/39161
1 files changed, 61 insertions, 0 deletions
diff --git a/qa/391 b/qa/391
new file mode 100755
index 0000000..3a885cb
--- /dev/null
+++ b/qa/391
@@ -0,0 +1,61 @@
+#!/bin/sh
+# PCP QA Test No. 391
+# Interp mode (similar to qa/091, but with valgrind) (see also 330)
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+
+# can skip stdout from interp1 and these archives ...
+# that's checked in 091
+#
+_filter()
+{
+ tee -a $seq.full \
+ | $PCP_AWK_PROG '
+BEGIN { skip = 1 }
+/=== std err ===/ { skip = 0 }
+skip == 0 { print }'
+}
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+for arch in src/foo src/mv-foo src/noti-foo
+do
+ echo | tee -a $seq.full
+ echo "=== archive $arch ===" | tee -a $seq.full
+ echo | tee -a $seq.full
+ echo "metric: sample.seconds" | tee -a $seq.full
+ _run_valgrind src/interp1 -s 6 -a $arch sample.seconds | _filter
+
+ echo | tee -a $seq.full
+ echo "metric: sample.bin" | tee -a $seq.full
+ _run_valgrind src/interp1 -s 6 -a $arch sample.bin | _filter
+
+ echo | tee -a $seq.full
+ echo "metric: sample.colour" | tee -a $seq.full
+ _run_valgrind src/interp1 -s 6 -a $arch sample.colour | _filter
+
+ echo | tee -a $seq.full
+ echo "metric: sample.drift" | tee -a $seq.full
+ _run_valgrind src/interp1 -s 6 -a $arch sample.drift | _filter
+
+ echo | tee -a $seq.full
+ echo "metric: sample.lights" | tee -a $seq.full
+ _run_valgrind src/interp1 -s 6 -a $arch sample.lights | _filter
+done
+
+# success, all done
+exit